﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace ScrollingUWP
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
           
        }
    }

    public class DataGenerator
    {
        public int DataCount = 100;

        private Random randomNumber;
        public ObservableCollection<Data> Collection { get; set; } 
        public DataGenerator()
        {
            randomNumber = new Random();
            Collection = new ObservableCollection<Data>();
            double value1 = 1000;
            double value2 = 2000;
            DateTime date = new DateTime(2009, 1, 1);

            for (int i = 0; i < this.DataCount; i++)
            {
                Collection.Add(new Data(date, value1, value2));
                date = date.Add(TimeSpan.FromMinutes(5));

                if (randomNumber.NextDouble() > .5)
                {
                    value1 += randomNumber.NextDouble();
                    value2 += randomNumber.NextDouble();
                }
                else
                {
                    value1 -= randomNumber.NextDouble();
                    value2 -= randomNumber.NextDouble();
                }
            }


        }
    }

    public class Data
    {
        public Data(DateTime date, double value1, double value2)
        {
            Date = date;
            Value1 = value1;
            Value2 = value2;
        }

        public DateTime Date
        {
            get;
            set;
        }

        public double Value1
        {
            get;
            set;
        }

        public double Value2
        {
            get;
            set;
        }
    }
}
